﻿using BinaryDad.Notes.Services;
using Microsoft.AspNetCore.Mvc;

namespace BinaryDad.Notes.Controllers;

public class HomeController : Controller
{
    private readonly INoteService noteService;

    public HomeController(INoteService noteService)
    {
        this.noteService = noteService;
    }

    public IActionResult Index()
    {
        var content = noteService.Get();

        return View((object)content);
    }
}
